#ifndef SourceControlWnd_H
#define SourceControlWnd_H
#include "srcctl_p.h"
#include "recompressor.h"
class SourceControlWnd : public SourceControl
{ 
    Q_OBJECT
    int scale;
    int btn_press;
public:
    SourceControlWnd( QWidget* parent, RecKernel* kern );
//    SourceControlWnd( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~SourceControlWnd();

public slots:
    void left_five_frames();
    void left_frame();
    void left_twenty_frames();
    void prev_key_frame();
    void right_five_frames();
    void right_frame();
    void right_twenty_frames();
    void next_key_frame();
    void pos_changed();
    void moved_func(int);
public:
    void update_size();
protected:
    bool close(bool){return false;}
    void update_pos();
protected:
    RecKernel* kernel;
};

#endif // SourceControlWnd_H
